'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getErrorType = getErrorType;

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getErrorType(err) {
  if (err) {
    console.warn(err);

    var errCode = (0, _get2.default)(err, 'graphQLErrors.0.code');
    if (errCode) {
      return String(errCode);
    }

    var errMsg = err.message || '';
    var errType = errMsg.slice(0, errMsg.indexOf(':'));

    if (errType === 'Network error') {
      return 'network';
    }
    return 'unknown'; // Generalizing all other error types
  }
  return null; // Not an error
}