'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  __name: 'Error',

  developer_err: 'A developer error occurred',
  network: 'Could not connect to the server',
  unknown: 'An unknown error occurred',

  // GQL User Errors
  '1000001': 'User was not found',
  '1000002': 'There is already an account associated with "{{email}}"',
  '1000003': 'Username "{{username}}" is already in use',
  '1000004': 'Your passwords did not match',
  '1000005': 'This url has expired',
  '1000006': 'Your password was incorrect',
  '1000007': 'Your session has expired',
  '1000008': 'Your username "{{username}}" is too short',
  // '1000017': 'Could not send invoice because it has been more than 24 hours since the class ended', // Change when payments are ready
  '1000017': 'Could not schedule because it has been more than 24 hours since the class ended',
  '1000019': '{{fullName}} is already booked for this time slot',
  '1000022': 'This reset password link has expired, please check your inbox for a newer link or reset your password again',
  '1000023': 'Your name is invalid or not allowed',

  // GQL Front End Errors
  '2000004': 'Invalid token',

  // Schema Errors
  string_too_short: '{{type}} is too short.',
  string_too_long: '{{type}} is too long.'
};